<?php get_header(); ?>
<?php if (get_option('flex_feat_display') == "no" OR get_option('flex_feat_pages') != "all") { ?>
<?php } else { ?>
<div id="feature">
	<div class="topshadow">
		<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar('Feature_top') ) : else : ?>
		<?php include (TEMPLATEPATH . '/feature.php'); ?>
		<?php endif; ?>
		<div style="clear:both;"></div>
	</div>
</div>
<?php } ?>
<div id="content">
	 <?php if (get_option('flex_adsense_loc1') == "yes") { ?>
  <div style="width:730px;height:90px;display:block;margin:5px auto 15px auto;text-align:center;">
    <?php 

	$adsize = get_option('flex_adsense_loc1size');

	$adtype = get_option('flex_adsense_loc1type');
	
	$adchannel = get_option('flex_adsense_loc1channel');

	include('adsense.php'); ?>
  </div>
  <?php } ?>
	<div class="postwrap">
		<?php if (have_posts()) : ?>
		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle">
			<?php single_cat_title(); ?>
			Archives</h2>
		<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Archive for
			<?php the_time('F jS, Y'); ?>
		</h2>
		<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Archive for
			<?php the_time('F, Y'); ?>
		</h2>
		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Archive for
			<?php the_time('Y'); ?>
		</h2>
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Author Archive</h2>
		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h2 class="pagetitle">Blog Archives</h2>
			<?php } ?>
		<?php while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>" style="padding-bottom: 20px;">
			<div class="posthead">
				<h1><a title="Permanent Link to <?php the_title(); ?>" href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h1>
				<?php if (get_option('flex_metadata_show') == "no") { ?>
				<?php } else { ?>
				<div class="postMeta">
					<div class="postdate"><?php the_time('l, F jS, Y') ?> at <?php the_time() ?>&nbsp;<?php edit_post_link('Edit'); ?></div>
					<div class="commentcount">
						<?php comments_popup_link('Leave your comment', 'Comments (1)', 'Comments (%)'); ?>
					</div>
					<div style="clear:both;"></div>
				</div>
				<?php } ?>
			</div>
			<div class="postcontent">
				<?php the_content('Read the rest of this entry'); ?>
			</div>
		</div>
		<?php endwhile; ?>
		<div id="nextprevious">
          <?php
		  if (function_exists('wp_pagenavi')) {
			wp_pagenavi();
		  } else { 
		  	include('wp-pagenavi.php'); 
		  wp_pagenavi();
		  } ?>
		  </div>
		<?php else : ?>
		<h2>Not Found</h2>
		<?php endif; ?>
	</div>
	<?php get_sidebar(); ?>
</div>
<?php get_footer(); ?>
